## giac 1.6.0.41+dfsg1

=== micropython-1.12/xcas/Makefile ===
include ../py/mkenv.mk
-include mpconfigport.mk

#PREFIX=/usr/bin/
CC = $(PREFIX)gcc # gcc-4.7 works if gcc is gcc-4.4 
CXX = $(PREFIX)g++
LD = $(PREFIX)ld 

# define main target
PROG = micropython

# qstr definitions (must come before including py.mk)
QSTR_DEFS = qstrdefsport.h

# OS name, for simple autoconfig
UNAME_S := $(shell uname -s)

# Disable stripping of the main executable, relocation info is needed by genzehn
NOSTRIP := 1
# DEBUG := 1

# include py core make definitions
include ../py/py.mk

INC =  -I.
INC += -I..
INC += -I../py
INC += -I$(BUILD)

# Debugging/Optimization
ifdef DEBUG
COPT =  -g
else
COPT =  -g #-fomit-frame-pointer -flto
endif

# compiler settings
CWARN = -Wall #-Werror -Wno-error=cpp -Wno-error=format
CFLAGS = -fPIC -DMICROPY_LIB $(INC) $(CWARN) -ansi -std=gnu99 $(CFLAGS_MOD) $(COPT) $(CFLAGS_EXTRA)



LDFLAGS = $(LDFLAGS_MOD) -lm $(LDFLAGS_EXTRA) 

# source files
SRC_C = $(shell find . -name \*.c)

SRC_QSTR += $(SRC_C)

OBJ = $(PY_O) $(addprefix $(BUILD)/, $(SRC_C:.c=.o))

include ../py/mkrules.mk

all: $(PROG)
	ar cru libmicropython.a build/py/mpstate.o build/py/nlr.o build/py/nlrx86.o build/py/nlrx64.o build/py/nlrthumb.o build/py/nlrpowerpc.o build/py/nlrxtensa.o build/py/nlrsetjmp.o build/py/malloc.o build/py/gc.o build/py/pystack.o build/py/qstr.o build/py/vstr.o build/py/mpprint.o build/py/unicode.o build/py/mpz.o build/py/reader.o build/py/lexer.o build/py/parse.o build/py/scope.o build/py/compile.o build/py/emitcommon.o build/py/emitbc.o build/py/asmbase.o build/py/asmx64.o build/py/emitnx64.o build/py/asmx86.o build/py/emitnx86.o build/py/asmthumb.o build/py/emitnthumb.o build/py/emitinlinethumb.o build/py/asmarm.o build/py/emitnarm.o build/py/asmxtensa.o build/py/emitnxtensa.o build/py/emitinlinextensa.o build/py/emitnxtensawin.o build/py/formatfloat.o build/py/parsenumbase.o build/py/parsenum.o build/py/emitglue.o build/py/persistentcode.o build/py/runtime.o build/py/runtime_utils.o build/py/scheduler.o build/py/nativeglue.o build/py/ringbuf.o build/py/stackctrl.o build/py/argcheck.o build/py/warning.o build/py/profile.o build/py/map.o build/py/obj.o build/py/objarray.o build/py/objattrtuple.o build/py/objbool.o build/py/objboundmeth.o build/py/objcell.o build/py/objclosure.o build/py/objcomplex.o build/py/objdeque.o build/py/objdict.o build/py/objenumerate.o build/py/objexcept.o build/py/objfilter.o build/py/objfloat.o build/py/objfun.o build/py/objgenerator.o build/py/objgetitemiter.o build/py/objint.o build/py/objint_longlong.o build/py/objint_mpz.o build/py/objlist.o build/py/objmap.o build/py/objmodule.o build/py/objobject.o build/py/objpolyiter.o build/py/objproperty.o build/py/objnone.o build/py/objnamedtuple.o build/py/objrange.o build/py/objreversed.o build/py/objset.o build/py/objsingleton.o build/py/objslice.o build/py/objstr.o build/py/objstrunicode.o build/py/objstringio.o build/py/objtuple.o build/py/objtype.o build/py/objzip.o build/py/opmethods.o build/py/sequence.o build/py/stream.o build/py/binary.o build/py/builtinimport.o build/py/builtinevex.o build/py/builtinhelp.o build/py/modarray.o build/py/modbuiltins.o build/py/modcollections.o build/py/modgc.o build/py/modio.o build/py/modmath.o build/py/modcmath.o build/py/modmicropython.o build/py/modstruct.o build/py/modsys.o build/py/moduerrno.o build/py/modthread.o build/py/vm.o build/py/bc.o build/py/showbc.o build/py/repl.o build/py/smallint.o build/py/frozenmod.o build/extmod/moductypes.o build/extmod/modujson.o build/extmod/modure.o build/extmod/moduzlib.o build/extmod/moduheapq.o build/extmod/modutimeq.o build/extmod/moduhashlib.o build/extmod/moducryptolib.o build/extmod/modubinascii.o build/extmod/virtpin.o build/extmod/machine_mem.o build/extmod/machine_pinbase.o build/extmod/machine_signal.o build/extmod/machine_pulse.o build/extmod/machine_i2c.o build/extmod/machine_spi.o build/extmod/modbluetooth.o build/extmod/modussl_axtls.o build/extmod/modussl_mbedtls.o build/extmod/modurandom.o build/extmod/moduselect.o build/extmod/moduwebsocket.o build/extmod/modwebrepl.o build/extmod/modframebuf.o build/extmod/vfs.o build/extmod/vfs_blockdev.o build/extmod/vfs_reader.o build/extmod/vfs_posix.o build/extmod/vfs_posix_file.o build/extmod/vfs_fat.o build/extmod/vfs_fat_diskio.o build/extmod/vfs_fat_file.o build/extmod/vfs_lfs.o build/extmod/utime_mphal.o build/extmod/uos_dupterm.o build/lib/embed/abort_.o build/lib/utils/printf.o build/./unix_mphal.o build/./modos.o build/./gccollect.o  build/./input.o build/./file.o build/./graphic.o build/./main.o build/./nop.o build/modtime.o
	/bin/cp libmicropython.a ../..
distdir:
	/bin/cp *.c *.h *.mk Makefile $(distdir)
install: 
	/bin/cp libmicropython.a ../..

EMPTY_AUTOMAKE_TARGETS = dvi pdf ps info html tags ctags install-data install-exec uninstall install-dvi install-html install-info install-ps install-pdf installdirs check installcheck mostlyclean distclean maintainer-clean
.PHONY: $(EMPTY_AUTOMAKE_TARGETS)
$(EMPTY_AUTOMAKE_TARGETS):

=== micropython-1.12/ports/minimal/Makefile ===
include ../../py/mkenv.mk

CROSS = 0

# qstr definitions (must come before including py.mk)
QSTR_DEFS = qstrdefsport.h

# include py core make definitions
include $(TOP)/py/py.mk

ifeq ($(CROSS), 1)
CROSS_COMPILE = arm-none-eabi-
endif

INC += -I.
INC += -I$(TOP)
INC += -I$(BUILD)

ifeq ($(CROSS), 1)
DFU = $(TOP)/tools/dfu.py
PYDFU = $(TOP)/tools/pydfu.py
CFLAGS_CORTEX_M4 = -mthumb -mtune=cortex-m4 -mcpu=cortex-m4 -msoft-float -fsingle-precision-constant -Wdouble-promotion
CFLAGS = $(INC) -Wall -Werror -std=c99 -nostdlib $(CFLAGS_CORTEX_M4) $(COPT)
LDFLAGS = -nostdlib -T stm32f405.ld -Map=$@.map --cref --gc-sections
else
LD = gcc
CFLAGS = -m32 $(INC) -Wall -Werror -std=c99 $(COPT)
LDFLAGS = -m32 -Wl,-Map=$@.map,--cref -Wl,--gc-sections
endif

CSUPEROPT = -Os # save some code space

# Tune for Debugging or Optimization
ifeq ($(DEBUG), 1)
CFLAGS += -O0 -ggdb
else
CFLAGS += -Os -DNDEBUG
CFLAGS += -fdata-sections -ffunction-sections
endif

LIBS =

SRC_C = \
	main.c \
	uart_core.c \
	lib/utils/printf.c \
	lib/utils/stdout_helpers.c \
	lib/utils/pyexec.c \
	lib/libc/string0.c \
	lib/mp-readline/readline.c \
	$(BUILD)/_frozen_mpy.c \

OBJ = $(PY_CORE_O) $(addprefix $(BUILD)/, $(SRC_C:.c=.o))

ifeq ($(CROSS), 1)
all: $(BUILD)/firmware.dfu
else
all: $(BUILD)/firmware.elf
endif

$(BUILD)/_frozen_mpy.c: frozentest.mpy $(BUILD)/genhdr/qstrdefs.generated.h
	$(ECHO) "MISC freezing bytecode"
	$(Q)$(TOP)/tools/mpy-tool.py -f -q $(BUILD)/genhdr/qstrdefs.preprocessed.h -mlongint-impl=none $< > $@

$(BUILD)/firmware.elf: $(OBJ)
	$(ECHO) "LINK $@"
	$(Q)$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
	$(Q)$(SIZE) $@

$(BUILD)/firmware.bin: $(BUILD)/firmware.elf
	$(Q)$(OBJCOPY) -O binary -j .isr_vector -j .text -j .data $^ $(BUILD)/firmware.bin

$(BUILD)/firmware.dfu: $(BUILD)/firmware.bin
	$(ECHO) "Create $@"
	$(Q)$(PYTHON) $(DFU) -b 0x08000000:$(BUILD)/firmware.bin $@

deploy: $(BUILD)/firmware.dfu
	$(ECHO) "Writing $< to the board"
	$(Q)$(PYTHON) $(PYDFU) -u $<

# Run emulation build on a POSIX system with suitable terminal settings
run:
	stty raw opost -echo
	build/firmware.elf
	@echo Resetting terminal...
# This sleep is useful to spot segfaults
	sleep 1
	reset

test: $(BUILD)/firmware.elf
	$(Q)/bin/echo -e "print('hello world!', list(x+1 for x in range(10)), end='eol\\\\n')\\r\\n\\x04" | $(BUILD)/firmware.elf | tail -n2 | grep "^hello world! \\[1, 2, 3, 4, 5, 6, 7, 8, 9, 10\\]eol"

include $(TOP)/py/mkrules.mk

=== micropython-1.12/examples/natmod/features2/Makefile ===
# Location of top-level MicroPython directory
MPY_DIR = ../../..

# Name of module
MOD = features2

# Source files (.c or .py)
SRC = main.c prod.c test.py

# Architecture to build for (x86, x64, armv7m, xtensa, xtensawin)
ARCH = x64

# Include to get the rules for compiling and linking the module
include $(MPY_DIR)/py/dynruntime.mk

=== micropython-1.12/examples/natmod/uheapq/Makefile ===
# Location of top-level MicroPython directory
MPY_DIR = ../../..

# Name of module (different to built-in uheapq so it can coexist)
MOD = uheapq_$(ARCH)

# Source files (.c or .py)
SRC = uheapq.c

# Architecture to build for (x86, x64, armv7m, xtensa, xtensawin)
ARCH = x64

include $(MPY_DIR)/py/dynruntime.mk

=== micropython-1.12/examples/natmod/uzlib/Makefile ===
# Location of top-level MicroPython directory
MPY_DIR = ../../..

# Name of module (different to built-in uzlib so it can coexist)
MOD = uzlib_$(ARCH)

# Source files (.c or .py)
SRC = uzlib.c

# Architecture to build for (x86, x64, armv7m, xtensa, xtensawin)
ARCH = x64

include $(MPY_DIR)/py/dynruntime.mk

## giac 1.2.3.25+dfsg1

=== debian/changelog ===
giac (1.2.3.25+dfsg1-2) unstable; urgency=medium

  * Fix arch-dep builds. (Closes: #855076)

 -- Ximin Luo <infinity0@debian.org>  Wed, 15 Feb 2017 20:15:55 +0100

giac (1.2.3.25+dfsg1-1) unstable; urgency=low

  [ Gilles Filippini ]
  * Initial release.

  [ Ximin Luo ]
  * New upstream release. (Closes: #783975)

 -- Ximin Luo <infinity0@debian.org>  Sun, 12 Feb 2017 16:47:53 +0100

=== debian/control ===
Source: giac
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>, Gilles Filippini <pini@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-autoreconf,
 automake,
 bison,
 flex,
 libtool,
 libgl2ps-dev,
 libgmp3-dev,
 libgsl0-dev,
 libntl-dev,
 libmpfr-dev,
 libmpfi-dev,
 libpari-dev,
 libreadline-dev,
 zlib1g-dev,
 libfltk1.3-dev,
 libfontconfig1-dev,
 libglu1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libxext-dev,
 libxft-dev,
 libxinerama-dev,
 hevea <!nodoc>,
 imagemagick <!nodoc>,
 latex2html <!nodoc>,
 libjs-codemirror <!nodoc>,
 libjs-mathjax <!nodoc>,
 texinfo <!nodoc>,
 texlive-binaries <!nodoc>,
 texlive-font-utils <!nodoc>,
 texlive-math-extra <!nodoc>,
 texlive-pstricks <!nodoc>,
 texlive-lang-all <!nodoc>,
 texlive-latex-recommended <!nodoc>,
 xauth <!nodoc>,
 xvfb <!nodoc>,
Standards-Version: 3.9.8
Homepage: http://www-fourier.ujf-grenoble.fr/~parisse/giac.html
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/giac.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/giac.git

Package: libgiac0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: giac-doc
Description: Computer Algebra System C++ library
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the shared libraries needed to run programs using giac.

Package: libgiac-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}
Description: Computer Algebra System C++ library - Development files
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the header files, static libraries, and other
 development files needed to build software that uses giac.

Package: xcas
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: giac-doc,
# xcas calls system() in quite a bunch of places for optional behaviour
 hevea,
 imagemagick,
 kbd,
 netpbm,
 texlive-binaries,
 texlive-latex-base,
 wget,
 xterm,
Description: Computer Algebra System - console and graphical calculator
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the user-facing giac programs: xcas, icas, and pgiac;
 as well as the cas_help program for providing user-oriented help.

Package: giac-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, libjs-codemirror, libjs-mathjax, xcas
Description: Computer Algebra System - documentation
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains static user documentation for giac and xcas.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh "$@" --with autoreconf

override_dh_autoreconf:
# Deal with embedded stuff
	find doc/ -maxdepth 1 -type d -exec ln -sf /usr/share/texmf/tex/texinfo/texinfo.tex '{}/' \;
# Deal with emscripten placeholder
	cp debian/giac.js doc/giac.js
# Deal with french documentation
	cp -a debian/upstream-doc-fr doc/fr
	mv doc/fr/Makefile.am.Debian doc/fr/Makefile.am
# Actually configure
	dh_autoreconf

override_dh_install:
	rm -f debian/tmp/usr/lib/*/libgiac.la
	rm -f debian/tmp/usr/include/giac/config.h
	dh_install --fail-missing

override_dh_fixperms-indep:
	dh_fixperms
	find debian/giac-doc/usr/share/giac/examples/ \
	  \( -name '*.cas' -o -name '*.xws' -o -name '*.cxx' \) -exec chmod -x '{}' \;
	chmod -x debian/giac-doc/usr/share/giac/examples/lewisw/*_?var

## giac 1.2.3.57+dfsg1

=== debian/changelog ===
giac (1.2.3.57+dfsg1-2build3) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Jan 2018 03:31:17 +0100

giac (1.2.3.57+dfsg1-2build2) bionic; urgency=medium

  * No-change rebuild against libgl2ps1.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 11 Nov 2017 06:27:08 +0000

giac (1.2.3.57+dfsg1-2build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:10:15 +0000

giac (1.2.3.57+dfsg1-2) unstable; urgency=medium

  * Fix shell syntax typo, fixes the doc build.

 -- Ximin Luo <infinity0@debian.org>  Fri, 21 Jul 2017 20:58:30 +0200

giac (1.2.3.57+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Fix build for machines that have 48-bit virtual addresses. Thanks to Edmund
    Grimley Evans for all his help on this and other issues. (Closes: #855078)

 -- Ximin Luo <infinity0@debian.org>  Fri, 21 Jul 2017 18:19:26 +0200

giac (1.2.3.53+dfsg1-2) unstable; urgency=medium

  * Output test log after a failed test run, to investigate a ppc64el build
    failure that isn't reproducible on porterboxes.

 -- Ximin Luo <infinity0@debian.org>  Tue, 27 Jun 2017 15:19:07 +0200

giac (1.2.3.53+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Tue, 27 Jun 2017 13:00:38 +0200

giac (1.2.3.25+dfsg1-4) unstable; urgency=medium

  * Split arch-dependent vs -independent builds to try to avoid failures
    building the documentation on some architectures.

 -- Ximin Luo <infinity0@debian.org>  Tue, 20 Jun 2017 20:35:32 +0200

giac (1.2.3.25+dfsg1-3) unstable; urgency=medium

  * Add missing depends from libgiac-dev on libgiac0. (Closes: #856949)

 -- Ximin Luo <infinity0@debian.org>  Sat, 11 Mar 2017 17:33:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: giac
 Section: science
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ximin Luo <infinity0@debian.org>, Gilles Filippini <pini@debian.org>
 Build-Depends:
  debhelper (>= 10),
@@ -12,7 +13,7 @@
  libtool,
  libgl2ps-dev,
  libgmp3-dev,
- libgsl0-dev,
+ libgsl-dev,
  libntl-dev,
  libmpfr-dev,
  libmpfi-dev,
@@ -27,6 +28,7 @@
  libxext-dev,
  libxft-dev,
  libxinerama-dev,
+Build-Depends-Indep:
  hevea <!nodoc>,
  imagemagick <!nodoc>,
  latex2html <!nodoc>,
@@ -35,13 +37,13 @@
  texinfo <!nodoc>,
  texlive-binaries <!nodoc>,
  texlive-font-utils <!nodoc>,
- texlive-math-extra <!nodoc>,
+ texlive-science <!nodoc>,
  texlive-pstricks <!nodoc>,
  texlive-lang-all <!nodoc>,
  texlive-latex-recommended <!nodoc>,
  xauth <!nodoc>,
  xvfb <!nodoc>,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www-fourier.ujf-grenoble.fr/~parisse/giac.html
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/giac.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/giac.git
@@ -63,7 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libgiac0 (= ${binary:Version})
 Description: Computer Algebra System C++ library - Development files
  Giac is a computer algebra system, following the development of the CAS for HP
  calculators. It has fast implementation of algorithms for polynomial

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,18 @@
 
 %:
 	dh "$@" --with autoreconf
+
+# Use ccache if pkg.giac.ccache build-profile is active.
+# Your rebuilds will be *much quicker*.
+ifneq (,$(filter pkg.giac.ccache,$(DEB_BUILD_PROFILES)))
+export PATH := /usr/lib/ccache:$(PATH)
+export CCACHE_DIR := $(CURDIR)/debian/ccache
+#export CCACHE_BASEDIR := $(CURDIR)/debian/build
+$(shell mkdir -p "$(CCACHE_DIR)")
+endif
+
+# ~/.xcasrc sometimes interferes with doc/test targets, causing failures
+export HOME=/nonexistent
 
 override_dh_autoreconf:
 # Deal with embedded stuff
@@ -17,6 +29,28 @@
 # Actually configure
 	dh_autoreconf
 
+override_dh_auto_build-arch:
+# Should be the same order as SUBDIRS in Makefile.am
+	dh_auto_build -a -D src
+	dh_auto_build -a -D intl
+	dh_auto_build -a -D po
+	dh_auto_build -a -D doc -- info
+
+override_dh_auto_test-arch:
+	dh_auto_test -a -D check -- VERBOSE=1
+
+override_dh_auto_test-indep:
+	true
+
+override_dh_auto_install-arch:
+# Should be the same order as SUBDIRS in Makefile.am
+	dh_auto_install -a -D src
+	dh_auto_install -a -D intl
+	dh_auto_install -a -D po
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no -C doc \
+	  install-info install-dist_pkgdataDATA
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install-exec-hook
+
 override_dh_install:
 	rm -f debian/tmp/usr/lib/*/libgiac.la
 	rm -f debian/tmp/usr/include/giac/config.h

=== debian/watch ===
version=4

opts="\
dversionmangle=s/\+dfsg.*$//,\
uversionmangle=s/(.+)-(\d+)/$1.$2/,\
repack,\
repacksuffix=+dfsg1,\
compression=xz,\
" \
https://www-fourier.ujf-grenoble.fr/~parisse/debian/dists/stable/main/source/giac_(.*)\.tar\.gz

## giac 1.4.9.69+dfsg1

=== debian/changelog ===
giac (1.4.9.69+dfsg1-2) unstable; urgency=medium

  * Also patch the test output.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 Sep 2018 21:45:13 -0700

giac (1.4.9.69+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Make sure xcas uses the same version of libgiac0.
  * Recommend that xcas-doc uses the same version of xcas.
  * Use HTTPS urls in various parts of the packaging.
  * Work around hanging test chk_cas on armhf.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 Sep 2018 21:31:11 -0700

giac (1.4.9.69+dfsg1-1~exp2) experimental; urgency=medium

  * Move texinfo into Build-Depends since it's needed in the arch:any build.
  * Document why we exclude certain upstream files from the orig tarball.

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Aug 2018 00:39:39 -0700

giac (1.4.9.69+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 02 Aug 2018 02:33:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: giac
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ximin Luo <infinity0@debian.org>, Gilles Filippini <pini@debian.org>
 Build-Depends:
  debhelper (>= 10),
  dh-autoreconf,
  automake,
+ patch,
  bison,
  flex,
  libtool,
@@ -28,13 +28,14 @@
  libxext-dev,
  libxft-dev,
  libxinerama-dev,
+# for the info pages in arch-specific packages
+ texinfo,
 Build-Depends-Indep:
  hevea <!nodoc>,
  imagemagick <!nodoc>,
  latex2html <!nodoc>,
  libjs-codemirror <!nodoc>,
  libjs-mathjax <!nodoc>,
- texinfo <!nodoc>,
  texlive-binaries <!nodoc>,
  texlive-font-utils <!nodoc>,
  texlive-science <!nodoc>,
@@ -44,9 +45,9 @@
  xauth <!nodoc>,
  xvfb <!nodoc>,
 Standards-Version: 4.0.0
-Homepage: http://www-fourier.ujf-grenoble.fr/~parisse/giac.html
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/giac.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/giac.git
+Homepage: https://www-fourier.ujf-grenoble.fr/~parisse/giac.html
+Vcs-Browser: https://salsa.debian.org/science-team/giac
+Vcs-Git: https://salsa.debian.org/science-team/giac.git
 
 Package: libgiac0
 Architecture: any
@@ -78,7 +79,7 @@
 Package: xcas
 Architecture: any
 Multi-Arch: allowed
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libgiac0 (= ${binary:Version})
 Suggests: giac-doc,
 # xcas calls system() in quite a bunch of places for optional behaviour
  hevea,
@@ -103,6 +104,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, libjs-codemirror, libjs-mathjax, xcas
+Recommends: xcas (= ${binary:Version})
 Description: Computer Algebra System - documentation
  Giac is a computer algebra system, following the development of the CAS for HP
  calculators. It has fast implementation of algorithms for polynomial

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 
 %:
 	dh "$@" --with autoreconf
+
+# This helps (makes some tests pass on big endian architectures)
+# but it's not enough, there are still segfaults to fix.
+# See http://xcas.e.ujf-grenoble.fr/XCAS/viewtopic.php?f=3&t=1874
+ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
+export DEB_CPPFLAGS_MAINT_APPEND  = -DDOUBLEVAL
+endif
 
 # Use ccache if pkg.giac.ccache build-profile is active.
 # Your rebuilds will be *much quicker*.
@@ -25,7 +32,7 @@
 	cp debian/giac.js doc/giac.js
 # Deal with french documentation
 	cp -a debian/upstream-doc-fr doc/fr
-	mv doc/fr/Makefile.am.Debian doc/fr/Makefile.am
+	cp doc/fr/Makefile.am.Debian doc/fr/Makefile.am
 # Actually configure
 	dh_autoreconf
 
@@ -37,6 +44,9 @@
 	dh_auto_build -a -D doc -- info
 
 override_dh_auto_test-arch:
+	cp check/TP16-sol.cas.out1 check/TP16-sol.cas.out2
+	cp check/integrate.out check/integrate.out2
+	patch -p1 < debian/patches/test-fixes-data.patch
 	dh_auto_test -a -D check -- VERBOSE=1
 
 override_dh_auto_test-indep:
@@ -54,7 +64,10 @@
 override_dh_install:
 	rm -f debian/tmp/usr/lib/*/libgiac.la
 	rm -f debian/tmp/usr/include/giac/config.h
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_fixperms-indep:
 	dh_fixperms

## giac 1.5.0.85%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 # This helps (makes some tests pass on big endian architectures)
 # but it's not enough, there are still segfaults to fix.
-# See http://xcas.e.ujf-grenoble.fr/XCAS/viewtopic.php?f=3&t=1874
+# See http://xcas.univ-grenoble-alpes.fr/forum/viewtopic.php?f=3&t=1874
 ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
-export DEB_CPPFLAGS_MAINT_APPEND  = -DDOUBLEVAL
+export DEB_CPPFLAGS_MAINT_APPEND  = -DDOUBLEVAL -DBIGENDIAN
 endif
 
 # Use ccache if pkg.giac.ccache build-profile is active.
@@ -44,9 +44,6 @@
 	dh_auto_build -a -D doc -- info
 
 override_dh_auto_test-arch:
-	cp check/TP16-sol.cas.out1 check/TP16-sol.cas.out2
-	cp check/integrate.out check/integrate.out2
-	patch -p1 < debian/patches/test-fixes-data.patch
 	dh_auto_test -a -D check -- VERBOSE=1
 
 override_dh_auto_test-indep:

## giac 1.5.0.85+dfsg1

=== debian/changelog ===
giac (1.5.0.85+dfsg1-3) unstable; urgency=medium

  * Rename fix_S390_numerical_noise to fix_bigendian_numerical_noise,
    and use it on all bigendian.
  * Change forum links to new uri following university name change.
  * Drop patch to workaround hevea bugs (now useless).
  * Improve the patch to disable GBASIS_SWAP only on bigendian.
  * Unify the various fixes on checks so it can be proposed upstream.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 13 Feb 2020 14:12:23 +0100

giac (1.5.0.85+dfsg1-2) unstable; urgency=medium

  * Update B.Parisse's email adress (the university changed name!).
  * Add patch to fix building the documentation on S390X.
  * Add patch to fix Groebner basis computation on S390X.
  * Add patch to fix numerical noise in checks on S390X.
  * Enable -DBIGENDIAN on big endian boxes.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Feb 2020 17:59:17 +0100

giac (1.5.0.85+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh packaging:
    - Priority extra is now optional.
    - Quote full text of BSD license in d/copyright
      (the /usr/share/common-licenses/ file is going away) 
    - Remove d/compat and use dh-compat 12. 
    - Bump std-ver to 4.5.0. 
    - Refreshed patches. 
    - Add fix_input_parser.patch to fix upstream's code. 
    - Refresh d/rules patches. 
  * Add myself to uploaders.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 22 Jan 2020 07:47:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: giac
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ximin Luo <infinity0@debian.org>, Gilles Filippini <pini@debian.org>
+Uploaders: Ximin Luo <infinity0@debian.org>, Gilles Filippini <pini@debian.org>, Julien Puydt <jpuydt@debian.org>
 Build-Depends:
- debhelper (>= 10),
- dh-autoreconf,
+ debhelper-compat (= 12),
  automake,
  patch,
  bison,
@@ -44,7 +43,7 @@
  texlive-latex-recommended <!nodoc>,
  xauth <!nodoc>,
  xvfb <!nodoc>,
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Homepage: https://www-fourier.ujf-grenoble.fr/~parisse/giac.html
 Vcs-Browser: https://salsa.debian.org/science-team/giac
 Vcs-Git: https://salsa.debian.org/science-team/giac.git

## giac 1.5.0.87+dfsg1

=== debian/changelog ===
giac (1.5.0.87+dfsg1-7) unstable; urgency=medium

  * Really upload to unstable.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 31 May 2020 13:00:08 +0200

giac (1.5.0.87+dfsg1-6) experimental; urgency=medium

  * Uploading to unstable : the experimental pari code is
  accepted upstream, will be in the next official version,
  and fixes an armhf issue. (Closes: #961122)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 31 May 2020 10:33:10 +0200

giac (1.5.0.87+dfsg1-5) experimental; urgency=medium

  * Set the date to the last update in algo.tex so its build becomes
  reproducible.
  * Use experimental pari code to fix locking issues with pari.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 27 May 2020 07:45:47 +0200

giac (1.5.0.87+dfsg1-4) unstable; urgency=medium

  * Add patch to deal correctly with the bigendian situation.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 04 Mar 2020 08:18:55 +0100

giac (1.5.0.87+dfsg1-3) unstable; urgency=medium

  * Re-add code for bigendian in d/rules : not good
   enough yet.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 Mar 2020 08:34:07 +0100

giac (1.5.0.87+dfsg1-2) unstable; urgency=medium

  * Remove code for bigendian in d/rules : upstream does it now.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 Mar 2020 12:47:28 +0100

giac (1.5.0.87+dfsg1-1) unstable; urgency=medium

  * Update excluded files in d/copyright.
  * New upstream release 1.5.0.87.
  * Drop many patches, update remaining ones.
  * Refresh d/uptream-doc-fr/algo.tex from upstream.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 28 Feb 2020 11:01:14 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,6 @@
 
 %:
 	dh "$@" --with autoreconf
-
-# This helps (makes some tests pass on big endian architectures)
-# but it's not enough, there are still segfaults to fix.
-# See http://xcas.univ-grenoble-alpes.fr/forum/viewtopic.php?f=3&t=1874
-ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
-export DEB_CPPFLAGS_MAINT_APPEND  = -DDOUBLEVAL -DBIGENDIAN
-endif
 
 # Use ccache if pkg.giac.ccache build-profile is active.
 # Your rebuilds will be *much quicker*.
@@ -26,6 +19,8 @@
 export HOME=/nonexistent
 
 override_dh_autoreconf:
+# Use experimental pari code
+	cp debian/pari.cc src/
 # Deal with embedded stuff
 	find doc/ -maxdepth 1 -type d -exec ln -sf /usr/share/texmf/tex/texinfo/texinfo.tex '{}/' \;
 # Deal with emscripten placeholder

## giac 1.6.0.41%2Bdfsg1

=== debian/control ===
Source: giac
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Ximin Luo <infinity0@debian.org>,
           Gilles Filippini <pini@debian.org>,
           Julien Puydt <jpuydt@debian.org>
Build-Depends: automake,
               bison,
               debhelper-compat (= 13),
               flex,
               libfltk1.3-dev,
               libfontconfig1-dev,
               libgl2ps-dev,
               libglu1-mesa-dev,
               libgmp3-dev,
               libgsl-dev,
               libjpeg-dev,
               libmpfi-dev,
               libmpfr-dev,
               libntl-dev,
               libpari-dev,
               libpng-dev,
               libreadline-dev,
               libtool,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               patch,
               python3,
               texinfo,
               zlib1g-dev
Build-Depends-Indep: hevea <!nodoc>,
                     imagemagick <!nodoc>,
                     latex2html <!nodoc>,
                     libjs-codemirror <!nodoc>,
                     libjs-mathjax <!nodoc>,
                     texlive-binaries <!nodoc>,
                     texlive-font-utils <!nodoc>,
                     texlive-lang-all <!nodoc>,
                     texlive-latex-recommended <!nodoc>,
                     texlive-pstricks <!nodoc>,
                     texlive-science <!nodoc>,
                     xauth <!nodoc>,
                     xvfb <!nodoc>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www-fourier.ujf-grenoble.fr/~parisse/giac.html
Vcs-Browser: https://salsa.debian.org/science-team/giac
Vcs-Git: https://salsa.debian.org/science-team/giac.git

Package: libgiac0
Section: libs
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: giac-doc
Description: Computer Algebra System C++ library
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the shared libraries needed to run programs using giac.

Package: libgiac-dev
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel
Section: libdevel
Depends: libfltk1.3-dev,
         libgiac0 (= ${binary:Version}),
         libgmp-dev,
         libgsl-dev,
         libmpfi-dev,
         libmpfr-dev,
         libntl-dev,
         ${misc:Depends}
Description: Computer Algebra System C++ library - Development files
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the header files, static libraries, and other
 development files needed to build software that uses giac.

Package: xcas
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel
Multi-Arch: allowed
Depends: libgiac0 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: giac-doc,
          hevea,
          imagemagick,
          kbd,
          netpbm,
          texlive-binaries,
          texlive-latex-base,
          wget,
          xterm
Description: Computer Algebra System - console and graphical calculator
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the user-facing giac programs: xcas, icas, and pgiac;
 as well as the cas_help program for providing user-oriented help.

Package: giac-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-codemirror, libjs-mathjax, xcas, ${misc:Depends}
Recommends: xcas (= ${binary:Version})
Description: Computer Algebra System - documentation
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains static user documentation for giac and xcas.

## giac 1.6.0.41+dfsg1

=== debian/changelog ===
giac (1.6.0.41+dfsg1-1) unstable; urgency=medium

  * Unmark -dev as Multi-Arch: same following hinter.
  * Run wrap-and-sort for cleaner files.
  * Add missing deps for the -dev package. (Closes: #976067)
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 19 Dec 2020 15:42:07 +0100

giac (1.6.0.31+dfsg1-1) unstable; urgency=medium

  * Drop the larger_pari_mem_size patch (upstreamed).
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 Nov 2020 21:46:42 +0100

giac (1.6.0.25+dfsg1-3) unstable; urgency=medium

  * Mark the actually supported architectures. (Closes: #855080, #855081)
  * Add patch larger_pari_mem_size to avoid segfaults.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 Nov 2020 08:57:20 +0100

giac (1.6.0.25+dfsg1-2) unstable; urgency=medium

  * Install config.h. (Closes: #972827)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 26 Oct 2020 16:44:10 +0100

giac (1.6.0.25+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Oct 2020 09:40:52 +0200

giac (1.6.0.23+dfsg1-2) unstable; urgency=medium

  * Add missing b-dep on python3.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 20 Sep 2020 10:55:49 +0200

giac (1.6.0.23+dfsg1-1) unstable; urgency=medium

  * Update the files excluded list before importing a newer version (hence
   dropping again to dfsg1).
  * New upstream release.
  * Refresh patches.
  * Don't fix the encoding of index files.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 18 Sep 2020 08:49:51 +0200

giac (1.6.0.17+dfsg2-1) unstable; urgency=medium

  * Package new upstream release.
  * Drop the patch to unbreak 32 bits architectures (upstreamed).
  * Drop the patch to force defining DOUBLEVAL on bigendian (upstreamed).
  * Refresh the other patches.
  * Update the files excluded list and associated patch (bump to dfsg2).
  * Update lintian overrides.
  * Update the list of files needing transcoding to unicode.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 14 Sep 2020 17:34:26 +0200

giac (1.6.0.7+dfsg1-2) unstable; urgency=medium

  * Add patch to unbreak 32bits (given by upstream, will
  be in next official).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 13 Jul 2020 21:27:17 +0200

giac (1.6.0.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Document split-build-install.patch.
  * Document u-version-pari-2.11.patch.
  * Update the team mailing list address.
  * Remove trailing whitespaces in d/changelog.
  * Drop experimental pari code (upstreamed).
  * Document that rules doesn't require root.
  * Update section for the libgiac0 package.
  * Fix typo in manpage.
  * Bump dh compat to 13.
  * Add workaround for badly encoded files.
  * Add patch to fix typos both in the code and user-text.
  * Drop copyright for an excluded file.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jul 2020 09:15:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,6 @@
 export HOME=/nonexistent
 
 override_dh_autoreconf:
-# Use experimental pari code
-	cp debian/pari.cc src/
 # Deal with embedded stuff
 	find doc/ -maxdepth 1 -type d -exec ln -sf /usr/share/texmf/tex/texinfo/texinfo.tex '{}/' \;
 # Deal with emscripten placeholder
@@ -33,6 +31,7 @@
 
 override_dh_auto_build-arch:
 # Should be the same order as SUBDIRS in Makefile.am
+	dh_auto_build -a -D micropython-1.12
 	dh_auto_build -a -D src
 	dh_auto_build -a -D intl
 	dh_auto_build -a -D po
@@ -53,7 +52,7 @@
 	  install-info install-dist_pkgdataDATA
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install-exec-hook
 
-override_dh_install:
+override_dh_install: fix_encoding
 	rm -f debian/tmp/usr/lib/*/libgiac.la
 	rm -f debian/tmp/usr/include/giac/config.h
 	dh_install
@@ -66,3 +65,23 @@
 	find debian/giac-doc/usr/share/giac/examples/ \
 	  \( -name '*.cas' -o -name '*.xws' -o -name '*.cxx' \) -exec chmod -x '{}' \;
 	chmod -x debian/giac-doc/usr/share/giac/examples/lewisw/*_?var
+
+ENCODING_FILES = \
+	/usr/share/giac/doc/en/casinter/casinter001.html \
+	/usr/share/giac/doc/en/casinter/casinter002.html \
+	/usr/share/giac/doc/en/casinter/casinter004.html \
+	/usr/share/giac/doc/en/casinter/casinter005.html \
+	/usr/share/giac/doc/en/casinter/casinter006.html \
+	/usr/share/giac/doc/en/casinter/index.html \
+	/usr/share/giac/examples/arit/codage.cas \
+	/usr/share/giac/examples/demo/e05.tex \
+	/usr/share/giac/examples/geo/geo2 \
+	/usr/include/giac/monomial.h \
+	/usr/include/giac/poly.h \
+	/usr/include/giac/prog.h
+
+fix_encoding:
+	for toto in $(ENCODING_FILES); do \
+		iconv -f iso-8859-15 -t utf-8 debian/tmp$$toto > debian/tmp$$toto.fix ; \
+		mv debian/tmp$$toto.fix debian/tmp$$toto ; \
+	done

## giac 1.7.0.39%2Bdfsg2

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: giac
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Ximin Luo <infinity0@debian.org>,
            Gilles Filippini <pini@debian.org>,
            Julien Puydt <jpuydt@debian.org>
@@ -43,7 +44,7 @@
                      texlive-science <!nodoc>,
                      xauth <!nodoc>,
                      xvfb <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www-fourier.ujf-grenoble.fr/~parisse/giac.html
 Vcs-Browser: https://salsa.debian.org/science-team/giac
@@ -112,7 +113,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-codemirror, libjs-mathjax, xcas, ${misc:Depends}
+Depends: libjs-codemirror, libjs-mathjax, xcas:any, ${misc:Depends}
 Recommends: xcas (= ${binary:Version})
 Description: Computer Algebra System - documentation
  Giac is a computer algebra system, following the development of the CAS for HP

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
 
 %:
 	dh "$@" --with autoreconf
@@ -23,9 +20,6 @@
 	find doc/ -maxdepth 1 -type d -exec ln -sf /usr/share/texmf/tex/texinfo/texinfo.tex '{}/' \;
 # Deal with emscripten placeholder
 	cp debian/giac.js doc/giac.js
-# Deal with french documentation
-	cp -a debian/upstream-doc-fr doc/fr
-	cp doc/fr/Makefile.am.Debian doc/fr/Makefile.am
 # Actually configure
 	dh_autoreconf

## giac 1.7.0.39+dfsg2

=== micropython-1.12/xcas/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 LD = $(PREFIX)ld 
 
 # define main target
-PROG = micropython
+PROG = libmicropython.a
 
 # qstr definitions (must come before including py.mk)
 QSTR_DEFS = qstrdefsport.h
@@ -52,6 +52,7 @@
 include ../py/mkrules.mk
 
 all: $(PROG)
+	rm -f libmicropython.a
 	ar cru libmicropython.a build/py/mpstate.o build/py/nlr.o build/py/nlrx86.o build/py/nlrx64.o build/py/nlrthumb.o build/py/nlrpowerpc.o build/py/nlrxtensa.o build/py/nlrsetjmp.o build/py/malloc.o build/py/gc.o build/py/pystack.o build/py/qstr.o build/py/vstr.o build/py/mpprint.o build/py/unicode.o build/py/mpz.o build/py/reader.o build/py/lexer.o build/py/parse.o build/py/scope.o build/py/compile.o build/py/emitcommon.o build/py/emitbc.o build/py/asmbase.o build/py/asmx64.o build/py/emitnx64.o build/py/asmx86.o build/py/emitnx86.o build/py/asmthumb.o build/py/emitnthumb.o build/py/emitinlinethumb.o build/py/asmarm.o build/py/emitnarm.o build/py/asmxtensa.o build/py/emitnxtensa.o build/py/emitinlinextensa.o build/py/emitnxtensawin.o build/py/formatfloat.o build/py/parsenumbase.o build/py/parsenum.o build/py/emitglue.o build/py/persistentcode.o build/py/runtime.o build/py/runtime_utils.o build/py/scheduler.o build/py/nativeglue.o build/py/ringbuf.o build/py/stackctrl.o build/py/argcheck.o build/py/warning.o build/py/profile.o build/py/map.o build/py/obj.o build/py/objarray.o build/py/objattrtuple.o build/py/objbool.o build/py/objboundmeth.o build/py/objcell.o build/py/objclosure.o build/py/objcomplex.o build/py/objdeque.o build/py/objdict.o build/py/objenumerate.o build/py/objexcept.o build/py/objfilter.o build/py/objfloat.o build/py/objfun.o build/py/objgenerator.o build/py/objgetitemiter.o build/py/objint.o build/py/objint_longlong.o build/py/objint_mpz.o build/py/objlist.o build/py/objmap.o build/py/objmodule.o build/py/objobject.o build/py/objpolyiter.o build/py/objproperty.o build/py/objnone.o build/py/objnamedtuple.o build/py/objrange.o build/py/objreversed.o build/py/objset.o build/py/objsingleton.o build/py/objslice.o build/py/objstr.o build/py/objstrunicode.o build/py/objstringio.o build/py/objtuple.o build/py/objtype.o build/py/objzip.o build/py/opmethods.o build/py/sequence.o build/py/stream.o build/py/binary.o build/py/builtinimport.o build/py/builtinevex.o build/py/builtinhelp.o build/py/modarray.o build/py/modbuiltins.o build/py/modcollections.o build/py/modgc.o build/py/modio.o build/py/modmath.o build/py/modcmath.o build/py/modmicropython.o build/py/modstruct.o build/py/modsys.o build/py/moduerrno.o build/py/modthread.o build/py/vm.o build/py/bc.o build/py/showbc.o build/py/repl.o build/py/smallint.o build/py/frozenmod.o build/extmod/moductypes.o build/extmod/modujson.o build/extmod/modure.o build/extmod/moduzlib.o build/extmod/moduheapq.o build/extmod/modutimeq.o build/extmod/moduhashlib.o build/extmod/moducryptolib.o build/extmod/modubinascii.o build/extmod/virtpin.o build/extmod/machine_mem.o build/extmod/machine_pinbase.o build/extmod/machine_signal.o build/extmod/machine_pulse.o build/extmod/machine_i2c.o build/extmod/machine_spi.o build/extmod/modbluetooth.o build/extmod/modussl_axtls.o build/extmod/modussl_mbedtls.o build/extmod/modurandom.o build/extmod/moduselect.o build/extmod/moduwebsocket.o build/extmod/modwebrepl.o build/extmod/modframebuf.o build/extmod/vfs.o build/extmod/vfs_blockdev.o build/extmod/vfs_reader.o build/extmod/vfs_posix.o build/extmod/vfs_posix_file.o build/extmod/vfs_fat.o build/extmod/vfs_fat_diskio.o build/extmod/vfs_fat_file.o build/extmod/vfs_lfs.o build/extmod/utime_mphal.o build/extmod/uos_dupterm.o build/lib/embed/abort_.o build/lib/utils/printf.o build/./unix_mphal.o build/./modos.o build/./gccollect.o  build/./input.o build/./file.o build/./graphic.o build/./main.o build/./nop.o build/modtime.o
 	/bin/cp libmicropython.a ../..
 distdir:

=== micropython-1.12/ports/javascript/Makefile ===
include ../../py/mkenv.mk

CROSS = 0

QSTR_DEFS = qstrdefsport.h

include $(TOP)/py/py.mk

CC = emcc -g4
LD = emcc -g4

INC += -I.
INC += -I../../py
INC += -I$(TOP)
INC += -I$(BUILD)

CPP = clang -E

ifdef EMSCRIPTEN
    CPP += -isystem $(EMSCRIPTEN)/system/include/libc -cxx-isystem $(EMSCRIPTEN)/system/include/libcxx
else
	EMCC=/home/parisse/emsdk/fastcomp/emscripten
	CPP += -I$(EMCC)/system/include/libc -I$(EMCC)/system/include/libcxx
endif

CFLAGS = -m32 -Wall -Werror $(INC)  $(COPT)
LDFLAGS = -m32 -Wl,-Map=$@.map,--cref -Wl,--gc-sections -s ERROR_ON_UNDEFINED_SYMBOLS=0

CFLAGS += -O0 -DNDEBUG -DMICROPY_LIB -DEMCC
CFLAGS += -fdata-sections -ffunction-sections

ifneq ($(FROZEN_MPY_DIR),)
# To use frozen bytecode, put your .py files in a subdirectory (eg frozen/) and
# then invoke make with FROZEN_MPY_DIR=frozen (be sure to build from scratch).
CFLAGS += -DMICROPY_QSTR_EXTRA_POOL=mp_qstr_frozen_const_pool
CFLAGS += -DMICROPY_MODULE_FROZEN_MPY
endif

SRC_LIB = $(addprefix lib/,\
	utils/interrupt_char.c \
	utils/stdout_helpers.c \
	utils/pyexec.c \
	mp-readline/readline.c \
	)

SRC_C = \
	main.c \
	mphalport.c \
	modutime.c \
	graphic.c file.c \

SRC_QSTR += $(SRC_C)

OBJ = 
OBJ = $(PY_O) 
OBJ += $(addprefix $(BUILD)/, $(SRC_LIB:.c=.o))
OBJ += $(addprefix $(BUILD)/, $(SRC_C:.c=.o))

JSFLAGS = -O0 -s EXPORTED_FUNCTIONS="['_mp_js_init', '_mp_js_init_repl', '_mp_js_do_str', '_mp_js_process_char', '_mp_hal_get_interrupt_char', '_mp_keyboard_interrupt']" -s EXTRA_EXPORTED_RUNTIME_METHODS="['ccall', 'cwrap']" -s "BINARYEN_TRAP_MODE='clamp'" --memory-init-file 0 --js-library library.js

all: $(BUILD)/micropython.js

$(BUILD)/micropython.js: $(OBJ) library.js wrapper.js
	$(ECHO) "LINK $(BUILD)/firmware.js"
	$(Q)emcc $(LDFLAGS) -o $(BUILD)/firmware.js $(OBJ) $(JSFLAGS)
	cat wrapper.js $(BUILD)/firmware.js > $@

min: $(BUILD)/micropython.js
	uglifyjs $< -c -o $(BUILD)/micropython.min.js

test: $(BUILD)/micropython.js $(TOP)/tests/run-tests
	$(eval DIRNAME=ports/$(notdir $(CURDIR)))
	cd $(TOP)/tests && MICROPY_MICROPYTHON=../ports/javascript/node_run.sh ./run-tests

include $(TOP)/py/mkrules.mk

=== micropython-1.12/examples/natmod/framebuf/Makefile ===
# Location of top-level MicroPython directory
MPY_DIR = ../../..

# Name of module (different to built-in framebuf so it can coexist)
MOD = framebuf_$(ARCH)

# Source files (.c or .py)
SRC = framebuf.c

# Architecture to build for (x86, x64, armv7m, xtensa, xtensawin)
ARCH = x64

include $(MPY_DIR)/py/dynruntime.mk

=== debian/changelog ===
giac (1.7.0.39+dfsg2-1build2) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:31:19 +0000

giac (1.7.0.39+dfsg2-1build1) jammy; urgency=medium

  * No-change rebuild against libntl44

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 19:06:23 +0000

giac (1.7.0.39+dfsg2-1) unstable; urgency=medium

  * New upstream release.
  * Try to make the build reproducible.
  * Annotate giac-doc's dependency on xcas with :any following hinter.
  * Refresh patches.
  * Don't put mkjs.cc in Files-Excluded in d/copyright.
  * Add fix_gcc11.patch to fix compilation.
  * Bump standards-version to 4.6.0.
  * Drop now-unneeded magic for build-reproducibility in d/rules.
  * Add a patch to avoid building the dvi and ps files.
  * Drop the fr documentation (broken upstream).
  * Install the xcas.metainfo.xml file.
  * Update d/copyright and lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 03 Nov 2021 11:47:51 +0100

=== debian/watch ===
version=4

opts="\
dversionmangle=s/\+dfsg.*$//,\
uversionmangle=s/(.+)-(\d+)/$1.$2/,\
repack,\
repacksuffix=+dfsg2,\
compression=xz,\
" \
https://www-fourier.ujf-grenoble.fr/~parisse/debian/dists/stable/main/source/giac_(.*)\.tar\.gz
